<?php
namespace App\Helper;
use App\Helper\Logging;

class Helper {

    public static function getReadCsvDetails($filename, $delimiter = ',')
    {

        if (!file_exists($filename) || !is_readable($filename)) {
            return FALSE;
        }

        $header = NULL;
        $data = array();
        if (($csvFile = fopen($filename, 'r')) !== FALSE) {
            //$i =0;
            while (($row = fgetcsv($csvFile, 100000, $delimiter)) !== FALSE) {
                if (!$header) {
                    $header = $row;
                    $header = str_replace(' ', '_', $header);
                    $header = str_replace('_-_', '-', $header);
                    $header = array_map('strtolower', $header);

                } else {
                    for ($i = 0; $i < count($header); $i++) {
                        if (empty($row[$i])) {
                            $row[$i] = '';
                        }
                    }
                    $data[] = array_combine($header, $row);
                }

            }
            fclose($csvFile);
        }
        return $data;
    }

    public static function printMe($message)
    {  
            ob_start();
            echo self::getNewLineChar() . $message;
            $output = ob_get_contents();
            ob_end_clean();
            print_r($output);
    }

    public static function logMe($message, $fileToLog, $echo=false)
    {

        $log = new Logging();
        $log->lfile($fileToLog);
        $log->lwrite($message, true);
        $log->lclose();
    }

    public static function objectToArray($obj)
    {
        if (is_object($obj)) $obj = (array)$obj;
        if (is_array($obj)) {
            $new = array();
            foreach ($obj as $key => $val) {
                $new[$key] = self::objectToArray($val);
            }
        } else $new = $obj;
        return $new;
    }

    public static function convert_multi_array($array)
    {
        $str = '';
        foreach ($array as $key => $item) {
            if (! is_numeric($key)) {
                $str .= $key . ' : ';
            }
            if (is_array($item)) {
                $str .= self::convert_multi_array($item);
                continue;
            }
            $str .= $item . ', ';
        }
        return $str;
    }
}