<?php

/** @var \Laravel\Lumen\Routing\Router $router */

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

// $router->get('/', function () use ($router) {
//     return $router->app->version();
// });

$router->get('createCheckout', [
    'uses' => 'CheckoutController@CreateCheckout'
    ]);
$router->get('updateSubscriptionLineItemProperties', [
    'uses' => 'CheckoutController@updateSubscriptionLineItemProperties'
    ]);
$router->get('retrieveCheckout', [
    'uses' => 'CheckoutController@RetrieveCheckout'
    ]);
$router->post('processCheckout', [
    'uses' => 'CheckoutController@ProcessCheckout'
    ]);
$router->get('shippingLineUpdate', [
    'uses' => 'CheckoutController@updateShippingLine']);
$router->get('getUserIterableStatus', ['uses' => 'IterableController@getUserIterableStatus'
    ]);
$router->get('updateIterableSubscription', [
    'uses' => 'IterableController@updateIterableSubscription'
    ]);
$router->get('addUserToIterableList', [
    'uses' => 'IterableController@addUserToIterableList'
    ]);
$router->post('subscriptionCreatedEventWebhook', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'IterableWebhookController@subscriptionCreatedEventWebhook'
    ]);
$router->post('subscriptionCanceledEventWebhook', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'IterableWebhookController@subscriptionCanceledEventWebhook'
    ]);
$router->post('upcomingChargesEventWebhook', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'IterableWebhookController@upcomingChargesEventWebhook'
    ]);
$router->post('updateIterableUserChannelStatus', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'IterableWebhookController@updateIterableUserChannelStatus'
    ]);
$router->get('pauseSubscription', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'SubscriptionController@pauseSubscription'
    ]);
$router->get('otpToSubscription', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'SubscriptionController@otpToSubscription'
    ]);
$router->get('upsell', [
    'uses' => 'SubscriptionController@upsellSubscription'
    ]);
$router->get('reactivateSubscriptionById', [
    'uses' => 'SubscriptionController@reactivateSubscriptionById'
    ]);
$router->get('reactivateSubscriptionByEmail', [
    'uses' => 'SubscriptionController@reactivateSubscriptionByEmail'
    ]);
$router->get('updateSubscriptionByAddressID', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'RechargeAddressController@updateSubscriptionByAddressID'
    ]);
$router->post('orderCreateEventWebhook', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'IterableWebhookController@orderCreateEventWebhook'
    ]);
$router->get('parseDom', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'CheckoutController@parseDom'
    ]);
$router->get('getOTPExtra', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'CheckoutController@getOTPExtra'
    ]);
$router->post('checkoutUpdatedWebhook', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'IterableWebhookController@checkoutUpdatedWebhook'
    ]);
$router->post('checkoutCreatedWebhook', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'IterableWebhookController@checkoutCreatedWebhook'
    ]);
$router->get('createAbandonedCheckout', [
    'uses' => 'AbandonedCheckoutController@createAbandonedCheckout'
    ]);
/*$router->get('createAbandonedCart', [
    'uses' => 'AbandonedCheckoutController@createAbandonedCart'
    ]);*/
$router->get('reactivateSubscriptionWithCoupon', [
    'uses' => 'SubscriptionController@reactivateSubscriptionWithCoupon'
    ]);
$router->get('adjustNextOrderDate', [
    'uses' => 'SubscriptionController@adjustNextOrderDate'
    ]);
$router->post('createGiftRecipientCheckout', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'GiftRecipientCheckoutController@createGiftRecipientCheckout'
    ]); 
$router->post('setNextChargeDate', [
    'middleware' => 'cors',
    'middleware' => 'cors','uses' => 'SubscriptionController@setNextChargeDate'
    ]);
